承接 insanelab/apidocs 相关项目开发

从需求分析到上线部署,全程专人跟进,保证项目质量与交付效率

邮箱:yvsm@zunyunkeji.com | QQ:316430983 | 微信:yvsm316

insanelab/apidocs

Composer 安装命令:

composer require insanelab/apidocs

包简介

Laravel API Documentation Generator

README 文档

README

This Laravel package provides an API Documentation generator based upon your Routes, Form requests with optional Controller Method DocBlock comments.

Installation

Laravel 5.0

Begin by installing this package through Composer. Edit your project's composer.json file to require f2m2/apidocs.

"require-dev": {
    "insanelab/apidocs": "dev-master"
}

Next, update Composer from the Terminal:

composer update --dev

Once the packaage has installed, the final step is to add the service provider. Open config/app.php, and add a new item to the providers array.

'Insanelab\Apidocs\ApidocsServiceProvider',

Run the artisan command from the Terminal to see the new apidocs command.

php artisan apidocs:generate

Create a copy of the API Docs Config by running this artisan command:

php artisan vendor:publish

Laravel 4.2

Our fork does not support Laravel below 5.0

Notes

Route Prefix

Create a prefix for your routes with an API Version. i.e. 'api/v1

Route::group(['prefix' => 'api/v1'], function(){
     // ...
});
DocBlock Example

Below is a docBlock example.

/**
* Display the specified resource.
* GET /user/{id}
*
* @param integer $id The id of a User
* @return Response
*/
public function show($id)
{
    // Display User
}

License

See LICENSE file.

insanelab/apidocs 适用场景与选型建议

insanelab/apidocs 是一款 基于 PHP 开发的 Composer 扩展包,目前已累计 5.15k 次下载、GitHub Stars 达 2, 最近一次更新时间为 2017 年 09 月 26 日, 在 PHP 生态内属于活跃度较高的组件。

我们在过去多个企业项目中使用过 insanelab/apidocs 或与其功能相近的方案,如果你在选型或落地过程中遇到问题,例如 版本兼容、二次改造、私有化封装、与内部系统对接、生产 BUG 排查,欢迎联系我们协助评估。

围绕 insanelab/apidocs 我们能提供哪些服务?
定制开发 / 二次开发

基于 insanelab/apidocs 在你已有业务上做功能扩展、字段裁剪、UI 适配、与内部账号 / 权限 / 日志系统的深度对接。

BUG 修复 & 性能优化

线上偶发问题、内存泄漏、慢查询、并发异常等排查修复;针对高流量场景做缓存、队列、索引层面的调优。

项目外包 & 长期维护

承接完整的项目从需求 → 设计 → 开发 → 上线 → 长期运维;也可按月提供技术保姆服务。

yvsm@zunyunkeji.com QQ:316430983 微信:yvsm316 西安尊云信息科技 · 专注 PHP / Go / 分布式系统研发

统计信息

  • 总下载量: 5.15k
  • 月度下载量: 0
  • 日度下载量: 0
  • 收藏数: 2
  • 点击次数: 10
  • 依赖项目数: 0
  • 推荐数: 0

GitHub 信息

  • Stars: 2
  • Watchers: 2
  • Forks: 29
  • 开发语言: PHP

其他信息

  • 授权协议: MIT
  • 更新时间: 2017-09-26